# config/packages/cors.yaml
nelmio_cors:
    defaults:
        allow_credentials: true
        allow_origin: ['http://localhost:3000']
        allow_headers: ['Content-Type', 'Authorization']
        allow_methods: ['GET', 'POST', 'PUT', 'DELETE', 'OPTIONS']
    paths:
        '^/api/':
            allow_origin: ['http://localhost:3000']
            allow_headers: ['Content-Type', 'Authorization']
            allow_methods: ['GET', 'POST', 'PUT', 'DELETE', 'OPTIONS']
            max_age: 3600
